VSTGUI 4.5 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Protected Member Functions | List of all members
FilterBase Class Reference
Version 4.1

A Base Class for Implementing Bitmap Filters. More...

Inheritance diagram for FilterBase:

## Protected Member Functions
| FilterBase (UTF8StringPtr description)
bool | registerProperty (IdStringPtr name, const Property &defaultProperty)
CBitmap * | getInputBitmap () const
UTF8StringPtr | getDescription () const override
bool | setProperty (IdStringPtr name, const Property &property) override
bool | setProperty (IdStringPtr name, Property &&property) override
const Property & | getProperty (IdStringPtr name) const override
uint32_t | getNumProperties () const override
IdStringPtr | getPropertyName (uint32_t index) const override
Property::Type | getPropertyType (uint32_t index) const override
Property::Type | getPropertyType (IdStringPtr name) const override

## Additional Inherited Members
Public Types inherited from IFilter
using | CreateFunction = IFilter *(*)(IdStringPtr name)
Public Member Functions inherited from IFilter
virtual bool | run (bool replaceInputBitmap=false)=0
Public Member Functions inherited from ReferenceCounted< T >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0 More...
void | remember () override
| increase refcount More...
virtual int32_t | getNbReference () const
| get refcount More...
virtual void | beforeDelete ()

## Detailed Description

A Base Class for Implementing Bitmap Filters.

## Constructor & Destructor Documentation

FilterBase | ( | UTF8StringPtr | description | ) |
| protected

## Member Function Documentation

UTF8StringPtr getDescription | ( |  | ) | const
| override protected virtual

Implements IFilter.

CBitmap* getInputBitmap | ( |  | ) | const
| protected

uint32_t getNumProperties | ( |  | ) | const
| override protected virtual

Implements IFilter.

const Property& getProperty | ( | IdStringPtr | name | ) | const
| override protected virtual

Implements IFilter.

IdStringPtr getPropertyName | ( | uint32_t | index | ) | const
| override protected virtual

Implements IFilter.

Property::Type getPropertyType | ( | uint32_t | index | ) | const
| override protected virtual

Implements IFilter.

Property::Type getPropertyType | ( | IdStringPtr | name | ) | const
| override protected virtual

Implements IFilter.

bool registerProperty | ( | IdStringPtr | name,
|  | const Property & | defaultProperty
| ) |  |
| protected

bool setProperty | ( | IdStringPtr | name,
|  | const Property & | property
| ) |  |
| override protected virtual

Implements IFilter.

bool setProperty | ( | IdStringPtr | name,
|  | Property && | property
| ) |  |
| override protected virtual

Implements IFilter.

The documentation for this class was generated from the following file:

- cbitmapfilter.h